CyberPanel install [ERROR] We are not able to run python manage.py makemigrations return code — CyberPanel - WebHosting Control Panel for OpenLiteSpeed
CyberHosting

CyberPanel install [ERROR] We are not able to run python manage.py makemigrations return code

I am writing through translation

Towards the end of the installation, it gives the following error.

Every time it gave an error, I deleted the vps and installed it again. gives the same error.

setup failed

Please explain in a simple way what I have to do.

I do not know much about these issues

vps system
centos7 64bit
vps provider company = contabo.com
6 core processor
16 Gb Ram




[08.16.2020_18-47-01] #########################################################################

[08.16.2020_18-47-01] Running /usr/local/CyberPanel/bin/python manage.py makemigrations failed. Running again, try number 3

[08.16.2020_18-47-01] #########################################################################




[08.16.2020_18-47-01] #########################################################################

[08.16.2020_18-47-01] [ERROR] We are not able to run /usr/local/CyberPanel/bin/python manage.py makemigrations return code: 1. Fatal error, see /var/log/installLogs.txt for full details.

[08.16.2020_18-47-01] #########################################################################

buradan sonrası, ssh üzerinden aldığım ekran bilgisi.
........................................................................


[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Successfully ran: ssh-keygen -f /root/.ssh/cyberpanel -t rsa -N ''.

[08.16.2020_18-46-52] #########################################################################




[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Running: echo downloaded

[08.16.2020_18-46-52] #########################################################################

downloaded



[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Successfully ran: echo downloaded.

[08.16.2020_18-46-52] #########################################################################




[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Running: sed -i 's|localhost|vps.biliyoo.com|g' /usr/local/CyberCP/CyberCP/settings.py

[08.16.2020_18-46-52] #########################################################################




[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Successfully ran: sed -i 's|localhost|vps.biliyoo.com|g' /usr/local/CyberCP/CyberCP/settings.py.

[08.16.2020_18-46-52] #########################################################################




[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Running: sed -i 's|'USER': 'root',|'USER': 'admin',|g' /usr/local/CyberCP/CyberCP/settings.py

[08.16.2020_18-46-52] #########################################################################




[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Successfully ran: sed -i 's|'USER': 'root',|'USER': 'admin',|g' /usr/local/CyberCP/CyberCP/settings.py.

[08.16.2020_18-46-52] #########################################################################




[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Running: sed -i 's|'PORT':''|'PORT':'8090'|g' /usr/local/CyberCP/CyberCP/settings.py

[08.16.2020_18-46-52] #########################################################################




[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Successfully ran: sed -i 's|'PORT':''|'PORT':'8090'|g' /usr/local/CyberCP/CyberCP/settings.py.

[08.16.2020_18-46-52] #########################################################################




[08.16.2020_18-46-52] #########################################################################

[08.16.2020_18-46-52] Running: /usr/local/CyberPanel/bin/python manage.py makemigrations

[08.16.2020_18-46-52] #########################################################################

Traceback (most recent call last):
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 197, in connect
self.connection = self.get_new_connection(conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 233, in get_new_connection
return Database.connect(**conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/__init__.py", line 84, in Connect
return Connection(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/connections.py", line 179, in __init__
super(Connection, self).__init__(*args, **kwargs2)
MySQLdb._exceptions.OperationalError: (2005, "Unknown MySQL server host 'vps.biliyoo.com' (-2)")

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "manage.py", line 22, in <module>
execute_from_command_line(sys.argv)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/__init__.py", line 401, in execute_from_command_line
utility.execute()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/__init__.py", line 395, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 328, in run_from_argv
self.execute(*args, **cmd_options)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 366, in execute
self.check()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 395, in check
include_deployment_checks=include_deployment_checks,
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 382, in _run_checks
return checks.run_checks(**kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/checks/registry.py", line 72, in run_checks
new_errors = check(app_configs=app_configs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/checks/model_checks.py", line 34, in check_all_models
errors.extend(model.check(**kwargs))
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/models/base.py", line 1274, in check
*cls._check_constraints(),
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/models/base.py", line 1840, in _check_constraints
connection.features.supports_table_check_constraints or
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functional.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/features.py", line 93, in supports_column_check_constraints
if self.connection.mysql_is_mariadb:
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functional.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 363, in mysql_is_mariadb
return 'mariadb' in self.mysql_server_info.lower()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functional.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 350, in mysql_server_info
with self.temporary_connection() as cursor:
File "/usr/lib64/python3.6/contextlib.py", line 81, in __enter__
return next(self.gen)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 604, in temporary_connection
with self.cursor() as cursor:
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 260, in cursor
return self._cursor()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 236, in _cursor
self.ensure_connection()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/utils.py", line 90, in __exit__
raise dj_exc_value.with_traceback(traceback) from exc_value
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 197, in connect
self.connection = self.get_new_connection(conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 233, in get_new_connection
return Database.connect(**conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/__init__.py", line 84, in Connect
return Connection(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/connections.py", line 179, in __init__
super(Connection, self).__init__(*args, **kwargs2)
django.db.utils.OperationalError: (2005, "Unknown MySQL server host 'vps.biliyoo.com' (-2)")



[08.16.2020_18-46-56] #########################################################################

[08.16.2020_18-46-56] Running /usr/local/CyberPanel/bin/python manage.py makemigrations failed. Running again, try number 1

[08.16.2020_18-46-56] #########################################################################

Traceback (most recent call last):
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 197, in connect
self.connection = self.get_new_connection(conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 233, in get_new_connection
return Database.connect(**conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/__init__.py", line 84, in Connect
return Connection(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/connections.py", line 179, in __init__
super(Connection, self).__init__(*args, **kwargs2)
MySQLdb._exceptions.OperationalError: (2005, "Unknown MySQL server host 'vps.biliyoo.com' (-2)")

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "manage.py", line 22, in <module>
execute_from_command_line(sys.argv)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/__init__.py", line 401, in execute_from_command_line
utility.execute()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/__init__.py", line 395, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 328, in run_from_argv
self.execute(*args, **cmd_options)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 366, in execute
self.check()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 395, in check
include_deployment_checks=include_deployment_checks,
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 382, in _run_checks
return checks.run_checks(**kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/checks/registry.py", line 72, in run_checks
new_errors = check(app_configs=app_configs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/checks/model_checks.py", line 34, in check_all_models
errors.extend(model.check(**kwargs))
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/models/base.py", line 1274, in check
*cls._check_constraints(),
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/models/base.py", line 1840, in _check_constraints
connection.features.supports_table_check_constraints or
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functional.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/features.py", line 93, in supports_column_check_constraints
if self.connection.mysql_is_mariadb:
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functional.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 363, in mysql_is_mariadb
return 'mariadb' in self.mysql_server_info.lower()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functional.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 350, in mysql_server_info
with self.temporary_connection() as cursor:
File "/usr/lib64/python3.6/contextlib.py", line 81, in __enter__
return next(self.gen)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 604, in temporary_connection
with self.cursor() as cursor:
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 260, in cursor
return self._cursor()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 236, in _cursor
self.ensure_connection()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/utils.py", line 90, in __exit__
raise dj_exc_value.with_traceback(traceback) from exc_value
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 197, in connect
self.connection = self.get_new_connection(conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 233, in get_new_connection
return Database.connect(**conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/__init__.py", line 84, in Connect
return Connection(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/connections.py", line 179, in __init__
super(Connection, self).__init__(*args, **kwargs2)
django.db.utils.OperationalError: (2005, "Unknown MySQL server host 'vps.biliyoo.com' (-2)")



[08.16.2020_18-46-58] #########################################################################

[08.16.2020_18-46-58] Running /usr/local/CyberPanel/bin/python manage.py makemigrations failed. Running again, try number 2

[08.16.2020_18-46-58] #########################################################################

Traceback (most recent call last):
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 197, in connect
self.connection = self.get_new_connection(conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 233, in get_new_connection
return Database.connect(**conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/__init__.py", line 84, in Connect
return Connection(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/connections.py", line 179, in __init__
super(Connection, self).__init__(*args, **kwargs2)
MySQLdb._exceptions.OperationalError: (2005, "Unknown MySQL server host 'vps.biliyoo.com' (-2)")

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "manage.py", line 22, in <module>
execute_from_command_line(sys.argv)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/__init__.py", line 401, in execute_from_command_line
utility.execute()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/__init__.py", line 395, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 328, in run_from_argv
self.execute(*args, **cmd_options)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 366, in execute
self.check()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 395, in check
include_deployment_checks=include_deployment_checks,
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management/base.py", line 382, in _run_checks
return checks.run_checks(**kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/checks/registry.py", line 72, in run_checks
new_errors = check(app_configs=app_configs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/checks/model_checks.py", line 34, in check_all_models
errors.extend(model.check(**kwargs))
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/models/base.py", line 1274, in check
*cls._check_constraints(),
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/models/base.py", line 1840, in _check_constraints
connection.features.supports_table_check_constraints or
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functional.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/features.py", line 93, in supports_column_check_constraints
if self.connection.mysql_is_mariadb:
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functional.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 363, in mysql_is_mariadb
return 'mariadb' in self.mysql_server_info.lower()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functional.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 350, in mysql_server_info
with self.temporary_connection() as cursor:
File "/usr/lib64/python3.6/contextlib.py", line 81, in __enter__
return next(self.gen)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 604, in temporary_connection
with self.cursor() as cursor:
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 260, in cursor
return self._cursor()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 236, in _cursor
self.ensure_connection()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/utils.py", line 90, in __exit__
raise dj_exc_value.with_traceback(traceback) from exc_value
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/base/base.py", line 197, in connect
self.connection = self.get_new_connection(conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.py", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 233, in get_new_connection
return Database.connect(**conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/__init__.py", line 84, in Connect
return Connection(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/connections.py", line 179, in __init__
super(Connection, self).__init__(*args, **kwargs2)
django.db.utils.OperationalError: (2005, "Unknown MySQL server host 'vps.biliyoo.com' (-2)")



[08.16.2020_18-47-01] #########################################################################

[08.16.2020_18-47-01] Running /usr/local/CyberPanel/bin/python manage.py makemigrations failed. Running again, try number 3

[08.16.2020_18-47-01] #########################################################################




[08.16.2020_18-47-01] #########################################################################

[08.16.2020_18-47-01] [ERROR] We are not able to run /usr/local/CyberPanel/bin/python manage.py makemigrations return code: 1. Fatal error, see /var/log/installLogs.txt for full details.

[08.16.2020_18-47-01] #########################################################################

Oops, something went wrong...
[[email protected] ~]#

Comments

Sign In or Register to comment.
CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!